# HG changeset patch
# User hiro
# Date 1342276922 -7200
# Node ID 80949c5b425d9b2d7fb976a65d86c565c04f408c
# Parent  9822f642bd6182b91b2ba19471cd9400645554ef
make mouseweheel and some keys work.

diff -r 9822f642bd61 -r 80949c5b425d gui-win32/screen.c
--- a/gui-win32/screen.c	Sat Jul 14 10:30:35 2012 -0400
+++ b/gui-win32/screen.c	Sat Jul 14 16:42:02 2012 +0200
@@ -329,6 +329,7 @@
 	int i;
 	Rectangle r;
 
+	b = 0;
 	switch(msg) {
 	case WM_CREATE:
 		break;
@@ -353,7 +354,6 @@
 	case WM_RBUTTONDOWN:
 		x = LOWORD(lparam);
 		y = HIWORD(lparam);
-		b = 0;
 		if(wparam & MK_LBUTTON)
 			b = 1;
 		if(wparam & MK_MBUTTON)
@@ -413,8 +413,19 @@
 			kbdputc(kbdq, Kins);
 			break;
 		case VK_DELETE:
-//			kbdputc(kbdq, Kdel);
-			kbdputc(kbdq, 0x7f);	// should have Kdel in keyboard.h
+			kbdputc(kbdq, Kdel);
+			break;
+		case VK_HOME:
+			kbdputc(kbdq, Khome);
+			break;
+		case VK_END:
+			kbdputc(kbdq, Kend);
+			break;
+		case VK_PRIOR:
+			kbdputc(kbdq, Kpgup);
+			break;
+		case VK_NEXT:
+			kbdputc(kbdq, Kpgdown);
 			break;
 		case VK_UP:
 			kbdputc(kbdq, Kup);
diff -r 9822f642bd61 -r 80949c5b425d include/keyboard.h
--- a/include/keyboard.h	Sat Jul 14 10:30:35 2012 -0400
+++ b/include/keyboard.h	Sat Jul 14 16:42:02 2012 +0200
@@ -23,6 +23,7 @@
 
 enum {
     KF= 0xF000, /* Rune: beginning of private Unicode space */
+    Kdel=   0x7f,
     Spec=   0xF800,
     /* KF|1, KF|2, ..., KF|0xC is F1, F2, ..., F12 */
     Khome=  KF|0x0D,
